<?php

// PHP functions to create a clickable image with pixel translation data.
//
// Copyright (C) 2006-2008 by Pawel Pilarczyk, http://www.pawelpilarczyk.com/
//
// This file is part of my research software package.  This is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This software is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

// Started in 2006. Last revision: May 18, 2008.


// Creates a form with a single clickable image
// and all the necessary data included in hidden fields:
// the height of the picture measured in boxes (which must be square)
// and the size of each box.
function img_click ($pagename, $image, $height, $boxsize, $other = array ())
{
	$otherfields = "";
	for ($i = 0; $i < count ($other); ++ $i)
	{
		$name = $other [$i ++];
		$value = $other [$i];
		$otherfields .= "<input\ntype=\"hidden\" " .
			"name=\"${name}\" value=\"${value}\"/>";
	}

	return <<<IMG
<form name="main" method="get" action="${pagename}"
enctype="multipart/form-data"><input
type="hidden" name="height" value="${height}"/><input
type="hidden" name="boxsize" value="${boxsize}"/>${otherfields}<input
type="image" name="image" src="${image}" border="1" /></form>
IMG;
	// <!-- style="cursor:crosshair;" -->
} /* img_click */

// Returns a two-element array (x,y) of the coordinates of an image
// from whom the above-defined form redirected.
// It may be requested that Y is measured from the bottom.
// If no coordinates are available then returns the empty array ().
function img_coord ($yFromBottom = false)
{
	$x = $_REQUEST ["image_x"];
	$y = $_REQUEST ["image_y"];
	$height = $_REQUEST ["height"];
	$size = $_REQUEST ["boxsize"];
	if (!empty ($x) && !empty ($y) && !empty ($height) &&
		!empty ($size) && ($size > 0))
	{
		$x = intval ($x / $size);
		$y = intval ($y / $size);
		if ($yFromBottom)
			$y = $height - 1 - $y;
		return array ($x, $y);
	}
	else
		return array ();
}

?>